Sign inGet started

Flow Run Metrics

Query for time series metrics that will provide you details around the total number of flow run invocations, failures, errors and similar metrics.
In order to query flow run metrics you must have the Flow ID and perform a HTTP request to the following endpoint with a valid access key.
Filter TypesFilter ID
flowThe Flow ID from the flow
POST
/workspaces/{workspaceId}/reporting/flowruns/{filterType}/{filterId}/metrics
Fetch flow metrics for a flow
Payload della richiesta
periodStart
string
obbligatorio
periodEnd
string
obbligatorio
periodGroup
string
obbligatorio
Possible values: minute, hour, day, month
groupBy
array of string
Payload della risposta
periodGroup
string
Possible values: minute, hour, day, month
dataColumns
array of string
obbligatorio
results
array of object
Mostra attributi secondari
results.periodTime
string
obbligatorio
results.count
integer
results.data
array of string
Esempio di codice
curl -X POST 'https://api.bird.com/workspaces/{workspaceId}/reporting/flowruns/{filterType}/{filterId}/metrics' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'